#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 serialise
version:              0.2.6.1
visibility:           public
id:                   serialise-0.2.6.1-6PXKZcUFDI6JbiCgyicV6n
key:                  serialise-0.2.6.1-6PXKZcUFDI6JbiCgyicV6n
license:              BSD-3-Clause
copyright:
    2015-2017 Duncan Coutts,
    2015-2017 Well-Typed LLP,
    2015 IRIS Connect Ltd

maintainer:           duncan@community.haskell.org, ben@smart-cactus.org
author:               Duncan Coutts
homepage:             https://github.com/well-typed/cborg
synopsis:             A binary serialisation library for Haskell values.
description:
    This package (formerly @binary-serialise-cbor@) provides pure, efficient
    serialization of Haskell values directly into @ByteString@s for storage or
    transmission purposes. By providing a set of type class instances, you can
    also serialise any custom data type you have as well.

    The underlying binary format used is the '\''Concise Binary Object
    Representation'\'', or CBOR, specified in RFC 7049. As a result,
    serialised Haskell values have implicit structure outside of the
    Haskell program itself, meaning they can be inspected or analyzed
    without custom tools.

    An implementation of the standard bijection between CBOR and JSON is provided
    by the [cborg-json](/package/cborg-json) package. Also see
    [cbor-tool](/package/cbor-tool) for a convenient command-line utility for
    working with CBOR data.

category:             Codec
abi:                  a9a14e9e7f1e142de4dc02886faf5105
exposed:              True
exposed-modules:
    Codec.Serialise Codec.Serialise.Class Codec.Serialise.Decoding
    Codec.Serialise.Encoding Codec.Serialise.IO
    Codec.Serialise.Internal.GeneralisedUTF8 Codec.Serialise.Properties
    Codec.Serialise.Tutorial

import-dirs:          /usr/lib/ghc-9.2.8/site-local/serialise-0.2.6.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/serialise-0.2.6.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-serialise
hs-libraries:         HSserialise-0.2.6.1-6PXKZcUFDI6JbiCgyicV6n
depends:
    array-0.5.4.0 base-4.16.4.0 bytestring-0.11.4.0
    cborg-0.2.9.0-GDLBHTNBAwSATpAWnDIeX7 containers-0.6.5.1
    ghc-prim-0.8.0 half-0.3.2-K8WrcauOozt3zBAQ4phBCI
    hashable-1.4.4.0-8kbsn96Xs7VCwiHoChRZyp
    primitive-0.7.4.0-1w3GR7mQ1Fh1teJ7kcmZ9k
    strict-0.5-DVzAOz8XXML2zdSLwa5TsL text-1.2.5.0
    these-1.2-35yo1zGflpI7SXjDODSqtH time-1.11.1.1
    unordered-containers-0.2.20-556FrLXx6TeI4rsDo1obsC
    vector-0.13.1.0-LgUMl9iMMxZ36i6grq2qn1

haddock-interfaces:   /usr/share/doc/haskell-serialise/html/serialise.haddock
haddock-html:         /usr/share/doc/haskell-serialise/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

